OpenTTD: src/base_media_base.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions | Variables
base_media_base.h File Reference

Generic functions for replacing base data (graphics, sounds). More...

`#include "fileio_func.h"`
`#include "core/smallmap_type.hpp"`
`#include "gfx_type.h"`
`#include "textfile_type.h"`
`#include "textfile_gui.h"`

Go to the source code of this file.

## Data Structures
struct | MD5File
| Structure holding filename and MD5 information about a single file. More...
struct | BaseSet< T, Tnum_files, Tsearch_in_tars >
| Information about a single base set. More...
class | BaseMedia< Tbase_set >
| Base for all base media (graphics, sounds) More...
struct | GraphicsSet
| All data of a graphics set. More...
class | BaseGraphics
| All data/functions related with replacing the base graphics. More...
struct | SoundsSet
| All data of a sounds set. More...
class | BaseSounds
| All data/functions related with replacing the base sounds. More...
struct | MusicSet
| All data of a music set. More...
class | BaseMusic
| All data/functions related with replacing the base music. More...

## Enumerations
enum | GraphicsFileType { GFT_BASE, GFT_LOGOS, GFT_ARCTIC, GFT_TROPICAL, GFT_TOYLAND, GFT_EXTRA, MAX_GFT }
| Types of graphics in the base graphics set. More...
enum | BlitterType { BLT_8BPP, BLT_32BPP }
| Blitter type for base graphics sets. More...

## Functions
template<class Tbase_set >
const char * | TryGetBaseSetFile (const ContentInfo *ci, bool md5sum, const Tbase_set *s)
| Check whether there's a base set matching some information.

## Variables
static const uint | NUM_SONGS_CLASS = 10
| Maximum number of songs in the 'class' playlists.
static const uint | NUM_SONG_CLASSES = 3
| Number of classes for songs.
static const uint | NUM_SONGS_AVAILABLE = 1 + NUM_SONG_CLASSES * NUM_SONGS_CLASS
| Maximum number of songs in the full playlist; theme song + the classes.
static const uint | NUM_SONGS_PLAYLIST = 32
| Maximum number of songs in the (custom) playlist.

## Detailed Description

Generic functions for replacing base data (graphics, sounds).

Definition in file base_media_base.h.

## Enumeration Type Documentation

enum BlitterType

Blitter type for base graphics sets.

Enumerator:

  BLT_8BPP | Base set has 8 bpp sprites only.
  BLT_32BPP | Base set has both 8 bpp and 32 bpp sprites.

Definition at line 244 of file base_media_base.h.

enum GraphicsFileType

Types of graphics in the base graphics set.

Enumerator:

  GFT_BASE | Base sprites for all climates.
  GFT_LOGOS | Logos, landscape icons and original terrain generator sprites.
  GFT_ARCTIC | Landscape replacement sprites for arctic.
  GFT_TROPICAL | Landscape replacement sprites for tropical.
  GFT_TOYLAND | Landscape replacement sprites for toyland.
  GFT_EXTRA | Extra sprites that were not part of the original sprites.
  MAX_GFT | We are looking for this amount of GRFs.

Definition at line 233 of file base_media_base.h.

## Function Documentation

template<class Tbase_set >

const char* TryGetBaseSetFile | ( | const ContentInfo * | ci,
|  | bool | md5sum,
|  | const Tbase_set * | s
| ) |  |

Check whether there's a base set matching some information.

Parameters

  ci | The content info to compare it to.
  md5sum | Should the MD5 checksum be tested as well?
  s | The list with sets.

Returns
  The filename of the first file of the base set, or `NULL` if there is no match.

Definition at line 286 of file base_media_func.h.

References ContentInfo::md5sum, and ContentInfo::unique_id.

Referenced by ContentInfo::GetTextfile(), and BaseMedia< Tbase_set >::HasSet().

## Variable Documentation

const uint NUM_SONGS_CLASS = 10
| static

Maximum number of songs in the 'class' playlists.

Definition at line 274 of file base_media_base.h.

Referenced by InitializeMusic().